#define _CRT_SECURE_NO_WARNINGS
#include <cstdio>
#include <memory.h>

static const int MAXN = 1000;

int N;

int Count[ 1 + MAXN ];

void Calc( int n1, int d1, int n2, int d2 )
{
	if( d1 + d2 > MAXN )
		return;
	++Count[ d1 + d2 ];
	Calc( n1, d1, n1 + n2, d1 + d2 );
	Calc( n1 + n2, d1 + d2, n2, d2 );
}

void Init()
{
	int i;
	memset( Count, 0, sizeof( Count ) );
	++Count[ 1 ];
	Calc( 0, 1, 1, 1 );
	for( i = 1; i <= MAXN; ++i )
	{
		Count[ i ] += Count[ i - 1 ];
	}
}

void Read()
{
	scanf( "%d", &N );
}

void Write( int t )
{
	printf( "%d %d %d\n", t, N, Count[ N ] * 2 + 1 );
}

int main()
{
	int i, t;
	scanf( "%d", &t );
	Init();
	for( i = 0; i < t; ++i )
	{
		Read();
		Write( i + 1 );
	}
	return 0;
}
